/**
 * ***** BEGIN GPL LICENSE BLOCK *****
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The Original Code is Copyright (C) 2009 by Stephan Henningsen.
 * All rights reserved.
 *
 * The Original Code is: all of this file (not that it's much).
 *
 * Contributor(s): none yet.
 *
 * ***** END GPL LICENSE BLOCK *****
 */

#ifndef BKE_WRITEPIPE_H
#define BKE_WRITEPIPE_H

#ifdef WITH_FFMPEG

#ifdef __cplusplus
extern "C" {
#endif

struct RenderData;	

extern void start_pipe(struct RenderData *rd, int rectx, int recty);
extern void end_pipe(void);
extern void append_pipe(int frame, int *pixels, int rectx, int recty);

#ifdef __cplusplus
}
#endif

#endif

#endif

